<html>
    <head>
        <script>
        function changeStyles() {
            document.getElementById("p2").style.color = "blue";
            document.getElementById("p2").style.fontFamily = "Arial";
            document.getElementById("p2").style.fontSize = "larger";
        }
        </script>
    </head>
    <body>
    <p id="p1">Hello World!</p>
    <p id="p2">Hello World!</p>
    <button type="button" onclick=changeStyles()>Нажми!</button>
    <input type="button" value="Скрыть" onclick="document.getElementById('p1').style.visibility='hidden'">
    <input type="button" value="Показать" onclick="document.getElementById('p1').style.visibility='visible'">
    </body>
</html>